Get the latest balance for a specific account
Returns the latest token balance for the specified account address.
GET
/
tokenization
/
tokens
/
{id}
/
balances
/
{accountAddress}
TypeScript
const response: Promise<FireblocksResponse<AddressBalanceItemDto>> = fireblocks.tokenization.getTokenBalanceForAccount(tokenizationApiGetTokenBalanceForAccountRequest);CompletableFuture<ApiResponse<AddressBalanceItemDto>> response = fireblocks.tokenization().getTokenBalanceForAccount(id, accountAddress);response = fireblocks.tokenization.get_token_balance_for_account(id, account_address);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/tokens/{id}/balances/{accountAddress}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/tokens/{id}/balances/{accountAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountAddress": "0x1234567890123456789012345678901234567890",
"balance": "1000000000000000000",
"lastUpdated": "2023-12-01T12:00:00.000Z"
}{
"statusCode": 404,
"message": "<string>",
"error": "Not Found"
}{
"message": "<string>",
"code": 123
}Path Parameters
The token link id
The account address to get balance history for
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Response
Successfully retrieved the balance for the account
The account address
Example:
"0x1234567890123456789012345678901234567890"
The current balance of the account
Example:
"1000000000000000000"
The timestamp when this balance was last updated
Example:
"2023-12-01T12:00:00.000Z"
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<AddressBalanceItemDto>> = fireblocks.tokenization.getTokenBalanceForAccount(tokenizationApiGetTokenBalanceForAccountRequest);CompletableFuture<ApiResponse<AddressBalanceItemDto>> response = fireblocks.tokenization().getTokenBalanceForAccount(id, accountAddress);response = fireblocks.tokenization.get_token_balance_for_account(id, account_address);